Package org.apache.sysds.runtime.io

# Class DeltaKernelUtils.UnsupportedDirectDecodeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.sysds.api.DMLException
org.apache.sysds.runtime.DMLRuntimeException
org.apache.sysds.runtime.io.DeltaKernelUtils.UnsupportedDirectDecodeException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  DeltaKernelUtils

public static final class DeltaKernelUtils.UnsupportedDirectDecodeException extends DMLRuntimeException
Thrown when a data file's parquet layout cannot be decoded directly into the typed output columns, e.g. a physical type narrower than the Delta column type (left behind by type widening). Raised before anything is written to the output arrays, so callers can re-read the file through the kernel engine (which performs those conversions) instead.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.apache.sysds.api.DMLException

`ERROR_MSG_DELIMITER`

## Constructor Summary

Constructors
Constructor
Description
`UnsupportedDirectDecodeException(String msg)`

## Method Summary

### Methods inherited from class org.apache.sysds.runtime.DMLRuntimeException

`of`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UnsupportedDirectDecodeException

public UnsupportedDirectDecodeException(String msg)